GET
/api/v1/cdpbackup/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”List of nodes retrieved successfully
Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
node_id
integer
name
string
label
string
status
string
public_ip_address
string format: ipv4
private_ip_address
string format: ipv4
plan
string
region
string
backup_status
object
node_id
integer
status
string
detail
string
is_encryption_enabled
boolean
audit_log_message
string
project_name
string
backup_detail_id
integer
last_recovery_point_created_on
string format: date-time
errors
object
message
string
Example
{ "code": 200, "data": [ { "id": 232063, "node_id": 232063, "name": "C3-8GB-985", "label": "default", "status": "Running", "public_ip_address": "164.52.195.207", "private_ip_address": "10.14.168.8", "plan": "C3.8GB", "region": null, "backup_status": { "node_id": 232063, "status": "backup_not_activated", "detail": "Not Activated", "is_encryption_enabled": false }, "audit_log_message": null, "project_name": "sdfghj", "backup_detail_id": 13886, "last_recovery_point_created_on": null } ], "errors": {}, "message": "Success"}